function DialogManager:set_masterchief_narrator()
	self._narrator_prefix = "Play_sam_"
end

local _DialogManager_init = DialogManager.init
function DialogManager:init()
	_DialogManager_init(self)
	if MicrosoftJacket then
		local level_id = Global.level_data and Global.level_data.level_id
		local switch_states = {
			arena = "alesso",
		}
		MicrosoftJacket:switch_state(level_id and switch_states[level_id] or "default")
	end
	self:set_masterchief_narrator()
end

DialogManager._sam_dialog_data = MicrosoftJacket:_load_json(MicrosoftJacket._path.."assets/DIALOG_DATA.json")
local _DialogManager_load_dialog_data = DialogManager._load_dialog_data
function DialogManager:_load_dialog_data(name)
	_DialogManager_load_dialog_data(self, name)
	if DialogManager._sam_dialog_data then
		for _, node in ipairs(DialogManager._sam_dialog_data) do
			if node._meta == "dialog" then
				if node.id then
					self._dialog_list[node.id] = self._dialog_list[node.id] or {
						id = node.id,
						character = node.character,
						sound = node.sound,
						string_id = node.string_id,
						priority = node.priority or tweak_data.dialog.DEFAULT_PRIORITY
					}
				end
			end
		end
	end
end
