function MicrosoftJacket:get_heister_custom_clips()
	if not blt or not blt.xaudio then
		log("[MicrosoftJacket:get_heister_custom_clips] no xaudio installed yet...")
		return
	end
	blt.xaudio.setup()
	local volume = 1.25

	local follow_me_assault_file_data = {
		{
			file = self:sounds_directory("heister", "rb9_follow_me_assault1"),
			volume = volume
		},
		{
			file = self:sounds_directory("heister", "rb9_follow_me_assault2"),
			volume = volume
		},
		{
			file = self:sounds_directory("heister", "rb9_follow_me_assault3"),
			volume = volume
		},
		{
			file = self:sounds_directory("heister", "rb9_follow_me_assault4"),
			volume = volume
		},
		{
			file = self:sounds_directory("heister", "rb9_follow_me_assault5"),
			volume = volume
		},
		{
			file = self:sounds_directory("heister", "rb9_follow_me_assault6"),
			volume = volume
		},	
	}

	
	self:create_and_add_to_playback_from_ids("f21a_sin",{
		{
			slot = 1,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_dallas1_assault"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_dallas2_assault"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_dallas3_assault"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_dallas4_assault"),
					volume = volume
				},
			}
		},
		{
			slot = 2,
			file_data = follow_me_assault_file_data
		}
	}, "both")

	
	self:create_and_add_to_playback_from_ids("f02x_sin",{
		{
			slot = 1,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_get_down_sin1"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_get_down_sin2"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_get_down_sin3"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_get_down_sin4"),
					volume = 1.25
				}
			}
		}
	}, "control")
	
	self:create_and_add_to_playback_from_ids("f02x_plu",{
		{
			slot = 1,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_get_down_plu1"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_get_down_plu2"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_get_down_plu3"),
					volume = 1.25
				}
			}
		}
	}, "control")
	
	self:create_and_add_to_playback_from_ids("f02x_plu",{
		{
			slot = 1,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_get_down_plu1_assault"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_get_down_plu2_assault"),
					volume = 1.25
				}
			}
		}
	}, "assault")
	
	self:create_and_add_to_playback_from_ids("f02x_sin",{
		{
			slot = 1,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_get_down_sin1_assault"),
					volume = 1.25
				}
			}
		}
	}, "assault")	
	
	self:create_and_add_to_playback_from_ids("f47x_any",{
		{
			slot = 1,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_medic_spotted1"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_medic_spotted2"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_medic_spotted3"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_medic_spotted4"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_medic_spotted5"),
					volume = 1.25
				},
				{
					file = self:sounds_directory("heister", "rb9_medic_spotted7"),
					volume = 1.25
				}
			}
		}
	}, "both")	
	
	self:create_and_add_to_playback_from_ids("f03a_sin",{
		{
			slot = 1,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin1"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin2"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin3"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin4"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin5"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin6"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin7"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin8"),
					volume = volume
				},
			}
		}
	}, "both")	
	
	self:create_and_add_to_playback_from_ids("f03a_plu",{
		{
			slot = 1,
			rare_chance = 0.15,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin1"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin2"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin5"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu1"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu2"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu3"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu4"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu5"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu6"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu7"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu_rare1"),
					is_rare = true,
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu_rare2"),
					is_rare = true,
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu_rare3"),
					is_rare = true,
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu_rare4"),
					is_rare = true,
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu_rare5"),
					is_rare = true,
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu_rare6"),
					is_rare = true,
					volume = volume
				}
			}
		}
	}, "control")	
	
	self:create_and_add_to_playback_from_ids("f03a_plu",{
		{
			slot = 1,
			file_data = {
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin1"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin2"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_sin5"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu1"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu2"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu3"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu4"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu5"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu6"),
					volume = volume
				},
				{
					file = self:sounds_directory("heister", "rb9_stay_down_plu7"),
					volume = volume
				}
			}
		}
	}, "assault")	
	
	
	self._current_wave_flag = "control"
	log("[MicrosoftJacket:get_heister_custom_clips]  Loaded all Master chief heister sounds!!!")
end